/**
 *
 * Created by Kyle Benk kjbenk@gmail.com
 *
 * 12/14
 */

jQuery(document).ready(function($) {

	// Load stats via AJAX

	$.post(ajaxurl, {
			'action': 'wps_pf_emails_load',
			'start_date' : getQuerystring(wps_pf_emails_data.prefix_dash + 'start-date'),
			'end_date' : getQuerystring(wps_pf_emails_data.prefix_dash + 'end-date'),
			'popup_id' : getQuerystring('popup_id', false)}, function(response) {

		//response = jQuery.parseJSON(response);

		$("#" + wps_pf_emails_data.prefix_dash + "loading-stats").remove();
		$(response).insertAfter("#" + wps_pf_emails_data.prefix_dash + "before-table");

	});

	// Date Pickers

	$('#' + wps_pf_emails_data.prefix_dash + 'start-datepicker').datetimepicker({
        format: 'MM/DD/YYYY'
    });

	$('#' + wps_pf_emails_data.prefix_dash + 'end-datepicker').datetimepicker({
        format: 'MM/DD/YYYY'
    });

	$('#' + wps_pf_emails_data.prefix_dash + 'end-datepicker')
		.data("DateTimePicker")
		.maxDate( moment(wps_pf_emails_data.today, "M/D/Y") );

	$('#' + wps_pf_emails_data.prefix_dash + 'start-datepicker')
		.data("DateTimePicker")
		.maxDate( moment(wps_pf_emails_data.today, "M/D/Y") );

	$('#' + wps_pf_emails_data.prefix_dash + 'end-datepicker')
		.data("DateTimePicker")
		.minDate( $('#' + wps_pf_emails_data.prefix_dash + 'start-datepicker').data("DateTimePicker").date() );

	$('#' + wps_pf_emails_data.prefix_dash + 'start-datepicker').on("dp.change",function (e) {
       $('#' + wps_pf_emails_data.prefix_dash + 'end-datepicker').data("DateTimePicker").minDate(e.date);
    });

    $('#' + wps_pf_emails_data.prefix_dash + 'end-datepicker').on("dp.change",function (e) {
       $('#' + wps_pf_emails_data.prefix_dash + 'start-datepicker').data("DateTimePicker").maxDate(e.date);
    });

    function getQuerystring(key, default_) {
	  if (default_==null) default_="";
	  key = key.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
	  var regex = new RegExp("[\\?&]"+key+"=([^&#]*)");
	  var qs = regex.exec(window.location.href);
	  if(qs == null)
	    return default_;
	  else
	    return qs[1];
	}
});