jQuery(document).ready(function($){

	// Define the variables

	var license_activate_button = '<span class="btn btn-primary ' +
		wps_pf_updates_data.prefix_dash + 'activate-license">' +
		wps_pf_updates_data.activate_text + '</span>';

	var license_deactivate_button = '<span class="btn btn-default ' +
		wps_pf_updates_data.prefix_dash + 'deactivate-license">' +
		wps_pf_updates_data.deactivate_text + '</span>';

	var check = '<span class="fa fa-check form-control-feedback" aria-hidden="true"></span>';
	var error = '<span class="fa fa-times form-control-feedback" aria-hidden="true"></span>';
	var spinner = '<i class="' + wps_pf_updates_data.prefix_dash + 'license-key-status fa fa-spinner fa-spin form-control-feedback"></i>';

	// Check license key

	if ( $('.' + wps_pf_updates_data.prefix_dash + 'license-key').val() != '' ) {

		$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(spinner);

		var data = {
			'action': 'wps_pf_license_action',
			'license_action': 'check_license',
			'license_key': $('.' + wps_pf_updates_data.prefix_dash + 'license-key').val(),
		};

		$.post(ajaxurl, data, function(response) {

			$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().find('.fa').remove();
			$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').removeClass('has-success');
			$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').removeClass('has-error');

			if ( response == 'valid' ) {

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').addClass(wps_pf_updates_data.prefix_dash + 'license-key-valid');
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(check);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').addClass('has-success');

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append(license_deactivate_button);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append('<em class="help-block ' + wps_pf_updates_data.prefix_dash + 'activation-message">' + wps_pf_updates_data.activation_valid + '</em>');

			}  else if ( response == 'expired' ) {

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').addClass(wps_pf_updates_data.prefix_dash + 'license-key-valid');
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(error);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').addClass('has-error');

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append(license_activate_button);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append('<em class="help-block ' + wps_pf_updates_data.prefix_dash + 'activation-message">' + wps_pf_updates_data.expired + '</em>');

			} else {

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').addClass(wps_pf_updates_data.prefix_dash + 'license-key-valid');
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(error);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').addClass('has-error');

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append(license_activate_button);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append('<em class="help-block ' + wps_pf_updates_data.prefix_dash + 'activation-message">' + wps_pf_updates_data.activation_error + '</em>');

			}

			console.log(response);
		});
	} else {
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key').addClass(wps_pf_updates_data.prefix_dash + 'license-key-valid');
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(error);
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').addClass('has-error');

		$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append(license_activate_button);
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append('<em class="help-block ' + wps_pf_updates_data.prefix_dash + 'activation-message">' + wps_pf_updates_data.no_license_key + '</em>');
	}

	// Activate License

	$(document).on('click', '.' + wps_pf_updates_data.prefix_dash + 'activate-license', function(){

		$('.' + wps_pf_updates_data.prefix_dash + 'activation-message').remove();
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().find('.fa').remove();
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(spinner);
		$('.' + wps_pf_updates_data.prefix_dash + 'activate-license').remove();
		$('.' + wps_pf_updates_data.prefix_dash + 'deactivate-license').remove();
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').removeClass('has-success');
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').removeClass('has-error');

		var data = {
			'action': 'wps_pf_license_action',
			'license_action': 'activate_license',
			'license_key': $('.' + wps_pf_updates_data.prefix_dash + 'license-key').val(),
		};

		$.post(ajaxurl, data, function(response) {

			$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().find('.fa').remove();

			if ( response == 'valid' ) {

				$('.alert').remove();

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').addClass(wps_pf_updates_data.prefix_dash + 'license-key-valid');
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(check);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').addClass('has-success');

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append(license_deactivate_button);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append('<em class="help-block ' + wps_pf_updates_data.prefix_dash + 'activation-message">' + wps_pf_updates_data.activation_valid + '</em>');

			} else {

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').addClass(wps_pf_updates_data.prefix_dash + 'license-key-valid');
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(error);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').addClass('has-error');

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append(license_activate_button);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append('<em class="help-block ' + wps_pf_updates_data.prefix_dash + 'activation-message">' + wps_pf_updates_data.activation_error + '</em>');

			}

			console.log(response);
		});

	});

	// Deactivate License

	$(document).on('click', '.' + wps_pf_updates_data.prefix_dash + 'deactivate-license', function(){

		$('.' + wps_pf_updates_data.prefix_dash + 'activation-message').remove();
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().find('.fa').remove();
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(spinner);
		$('.' + wps_pf_updates_data.prefix_dash + 'activate-license').remove();
		$('.' + wps_pf_updates_data.prefix_dash + 'deactivate-license').remove();
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').removeClass('has-success');
		$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').removeClass('has-error');

		var data = {
			'action': 'wps_pf_license_action',
			'license_action': 'deactivate_license',
			'license_key': $('.' + wps_pf_updates_data.prefix_dash + 'license-key').val(),
		};

		$.post(ajaxurl, data, function(response) {

			$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().find('.fa').remove();

			if ( response == 'deactivated' ) {

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').val('');
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append(license_activate_button);
				///$('.' + wps_pf_updates_data.prefix_dash + 'license-key-feedback').addClass('has-success');

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().append(check);
				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append('<em class="help-block ' + wps_pf_updates_data.prefix_dash + 'activation-message">' + wps_pf_updates_data.deactivation_valid + '</em>');

			} else if ( response == 'failed' ) {

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append('<em class="help-block ' + wps_pf_updates_data.prefix_dash + 'activation-message">' + wps_pf_updates_data.deactivation_error + '</em>');

			} else {

				$('.' + wps_pf_updates_data.prefix_dash + 'license-key').parent().parent().append('<em class="help-block ' + wps_pf_updates_data.prefix_dash + 'activation-message">' + wps_pf_updates_data.deactivation_error + '</em>');
			}

			console.log(response);
		});

	});

});